API 端點
https://ysd.lol/api/v1/pixels
請求範例
curl --location --request GET 'https://ysd.lol/api/v1/pixels' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name。 預設為:name。
type
adroll, bing, facebook, google-ads, google-analytics, google-tag-manager, linkedin, pinterest, quora, x。
sort_by
id, 姓名 的 name。 預設為:id。
sort
desc, 遞增 的 asc。 預設為:desc。
per_page
10, 25, 50, 100。 預設為:10。
API 端點
https://ysd.lol/api/v1/pixels/{id}
請求範例
curl --location --request GET 'https://ysd.lol/api/v1/pixels/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API 端點
https://ysd.lol/api/v1/pixels
請求範例
curl --location --request POST 'https://ysd.lol/api/v1/pixels' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}' \ --data-urlencode 'type={type}' \ --data-urlencode 'value={value}'
Parameters
name
type
adroll, bing, facebook, google-ads, google-analytics, google-tag-manager, linkedin, pinterest, quora, x。
value
API 端點
https://ysd.lol/api/v1/pixels/{id}
請求範例
curl --location --request PUT 'https://ysd.lol/api/v1/pixels/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
name
type
adroll, bing, facebook, google-ads, google-analytics, google-tag-manager, linkedin, pinterest, quora, x。
value
API 端點
https://ysd.lol/api/v1/pixels/{id}
請求範例
curl --location --request DELETE 'https://ysd.lol/api/v1/pixels/{id}' \ --header 'Authorization: Bearer {api_key}'